PDA

View Full Version : a bug in ext docs with ext3.0 rc2



joshuaxu
14 Jun 2009, 8:07 PM
change the code blow at the index.html page in the dir of docs in ext3.0 rc2 packge

<script type="text/javascript" src="resources/ext-base.js"></script>
<script type="text/javascript" src="resources/ext-all.js"></script>


change to
<script type="text/javascript" src="../adapter/ext/ext-base.js"></script>
<script type="text/javascript" src="../ext-all.js"></script>

then the ie7 show js error.
but in early released edition, it is ok.

evant
14 Jun 2009, 8:28 PM
Why is this a bug? You've modified the original code (which I assume works fine). Moving this to help.

joshuaxu
14 Jun 2009, 9:14 PM
Why is this a bug? You've modified the original code (which I assume works fine). Moving this to help.

i only change the js point to ext3.0 dirs. so the problem maybe exist in ext-base.js? i can't solve the problem, so pls help me. thanks.

joshuaxu
15 Jun 2009, 12:19 AM
pls help me:-/

15 Jun 2009, 5:21 AM
Works fine for me. Unpack the zip and try again.

tryanDLS
15 Jun 2009, 6:56 AM
Please stop double posting - other post removed.

joshuaxu
15 Jun 2009, 8:30 AM
Works fine for me. Unpack the zip and try again.


is the lastest edition - Ext JS 3.0 RC2 SDK?
download from this page http://www.extjs.com/products/extjs/download.php
and change the code at the index.html in docs directory as i do

15 Jun 2009, 9:40 AM
is the lastest edition - Ext JS 3.0 RC2 SDK?
download from this page http://www.extjs.com/products/extjs/download.php
and change the code at the index.html in docs directory as i do

why are you changing the code? just download and use!
http://www.epicallyfunnypictures.com/FunnyPictures/LOLcats/seriously.jpg

joshuaxu
15 Jun 2009, 9:53 PM
for there has bug in Ext JS 3.0 RC2 SDK. the orignal docs index.html page still use ext2.2. i changing the js point code to rc2 is to show the bug exits. so wish some one can find the bug and solve it.

Animal
16 Jun 2009, 12:07 AM
What?

The docs work, and when you change them to not work, then they have a bug? Are you joking?

joshuaxu
16 Jun 2009, 12:24 AM
at the same rc2 packge. the resources/ext-base.js in docs dir is not the same edition as the /adapter/ext/ext-base.js.
the doc can work, for it is based on ext2.2. if change it base to ext3.0 rc2, it can't work. so, there has bug at ext-base.js or ext-all.js in ext3.0 rc2.

Animal
16 Jun 2009, 12:28 AM
There are changes in Ext 3.

The API doc application is an Ext 2 application right now.

If you are porting it to Ext 3.0, then go ahead and make any necessary changes.

joshuaxu
16 Jun 2009, 12:45 AM
yes, the doc application is ext 2 application.
if changing from ext2 to ext3 will need uses to change their application code, it is very difficulty for common uses.

i think the bug is exist in TreeLoader, just see my post at http://www.extjs.com/forum/showthread.php?t=71269

if solve the TreeLoader problem, then the doc application can works good, even though only change the point to ext3 rc2 at the index.html

16 Jun 2009, 3:29 AM
I fail to see how this is a BUG or an issue!